Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005698 [JEDI VCL] 00 JVCL Components tweak always 2011-11-01 11:47 2012-09-10 14:15
Reporter Nazgul View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005698: JvThemes fails to compile if {$APPTYPE CONSOLE} is defined
Description A console application uses units which link to Jvcl units, which in turn link to JvThemes. JvThemes, however, fails to compile as JvclThemesEnabled is not set.

OK, I know console app shouldn't link to Visual units, but I can't rewrite all of them.
Additional Information Solution: Make JvThemes compile even if it's linked from a console app. If it's not possible/feasible, display compiler error "Error: JvThemes can not be used in console application" or something like this, so the user could know what he's doing wrong.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019078)
AHUser (developer)
2011-11-02 21:09

What Delphi version are you using?
(0019080)
Nazgul (reporter)
2011-11-03 11:57

Oh, I thought I filled it in. I am using Delphi XE on Windows Vista.
(0019081)
AHUser (developer)
2011-11-03 17:40

Fixed in svn revision 13146.

This was caused by a remnant of the VisualCLX support that undefined JVCLThemesEnabled if it was not a "VCL" application.

- Issue History
Date Modified Username Field Change
2011-11-01 11:47 Nazgul New Issue
2011-11-02 21:09 AHUser Note Added: 0019078
2011-11-02 21:09 AHUser Assigned To => AHUser
2011-11-02 21:09 AHUser Status new => feedback
2011-11-03 11:57 Nazgul Note Added: 0019080
2011-11-03 17:40 AHUser Note Added: 0019081
2011-11-03 17:40 AHUser Status feedback => resolved
2011-11-03 17:40 AHUser Fixed in Version => Daily / SVN
2011-11-03 17:40 AHUser Resolution open => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker